Package org.apache.felix.webconsole

# Interface User

All Superinterfaces:
  `User`

@ProviderType @Deprecated public interface User extends User
Deprecated.
Use `User` instead
Representation of a user. The user object can be used by plugins to `User.authorize(String)` the user.

Since:
  3.4.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`USER_ATTRIBUTE`
Deprecated.
The name of the request attribute providing an object of this class

## Method Summary

### Methods inherited from interface org.apache.felix.webconsole.servlet.User

`authorize, getUserObject`

## Field Details

### USER_ATTRIBUTE

static final String USER_ATTRIBUTE
Deprecated.
The name of the request attribute providing an object of this class